summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2012-02-02 11:37:48 +0100
committerSven Eden <sven.eden@gmx.de>2012-02-02 11:37:48 +0100
commit3d60e4c0e5523c23e60471f790eaac4c65e30ab1 (patch)
treeaf6ee33956e253abb9797450cd78dc35ad82291a
parentjava-virtuals/jetty-server-6-r1 : Removed dependencies that are neither in (diff)
downloadseden-3d60e4c0e5523c23e60471f790eaac4c65e30ab1.tar.gz
seden-3d60e4c0e5523c23e60471f790eaac4c65e30ab1.tar.bz2
seden-3d60e4c0e5523c23e60471f790eaac4c65e30ab1.zip
First eclipse-sdk ebuild to support jetty-7, first ebuild for jetty-7,
various cleanups
-rw-r--r--dev-games/cel/Manifest3
-rw-r--r--dev-games/crystalspace/Manifest4
-rw-r--r--dev-util/eclipse-sdk/ChangeLog8
-rw-r--r--dev-util/eclipse-sdk/Manifest3
-rw-r--r--dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r3.ebuild415
-rw-r--r--java-virtuals/jetty-server/ChangeLog12
-rw-r--r--java-virtuals/jetty-server/Manifest5
-rw-r--r--java-virtuals/jetty-server/jetty-server-6-r2.ebuild (renamed from java-virtuals/jetty-server/jetty-server-6-r1.ebuild)4
-rw-r--r--java-virtuals/jetty-server/jetty-server-7.ebuild22
-rw-r--r--media-gfx/nvidia-cg-toolkit/Manifest2
-rw-r--r--www-apps/dotproject/Manifest2
-rw-r--r--www-servers/jetty-bin/ChangeLog16
-rw-r--r--www-servers/jetty-bin/Manifest14
-rw-r--r--www-servers/jetty-bin/files/conf.d/jetty-6 (renamed from www-servers/jetty-bin/files/conf.d/jetty)0
-rw-r--r--www-servers/jetty-bin/files/conf.d/jetty-724
-rw-r--r--www-servers/jetty-bin/files/init.d/jetty-6 (renamed from www-servers/jetty-bin/files/init.d/jetty)0
-rw-r--r--www-servers/jetty-bin/files/init.d/jetty-751
-rw-r--r--www-servers/jetty-bin/jetty-bin-6.1.26-r1.ebuild140
-rw-r--r--www-servers/jetty-bin/jetty-bin-6.1.26-r3.ebuild (renamed from www-servers/jetty-bin/jetty-bin-6.1.26-r2.ebuild)9
-rw-r--r--www-servers/jetty-bin/jetty-bin-6.1.26.ebuild139
-rw-r--r--www-servers/jetty-bin/jetty-bin-7.5.4.ebuild148
21 files changed, 711 insertions, 310 deletions
diff --git a/dev-games/cel/Manifest b/dev-games/cel/Manifest
index a606f12..f340d5f 100644
--- a/dev-games/cel/Manifest
+++ b/dev-games/cel/Manifest
@@ -4,7 +4,4 @@ EBUILD cel-1.9_pre9999-r3.ebuild 1703 RMD160 c18300b81bb6d0004d0fd7efacc6c963369
EBUILD cel-2.1_pre9999-r1.ebuild 1731 RMD160 a701a5ce47d429c22750ebe0b34b484994f3ca8b SHA1 0a3c8e6da67ecfe3bb744ad5b8829cfaee9f7610 SHA256 c548362acbcc7db2332e1da3bf50e3acef53dca2bdb3c9b43f77f6c1cf01a07c
EBUILD cel-2.1_pre9999.ebuild 1703 RMD160 c18300b81bb6d0004d0fd7efacc6c96336989db7 SHA1 464ef0efcefd368407be1825b51a5551718224e6 SHA256 fea429b9af983fed756666d1d3db45af435bb1a465b2e658b0c3844bc1628a08
MISC ChangeLog 757 RMD160 5fbc596ebe92c9a2965d4e1264d09a86654e2e31 SHA1 f968dd796a70880a74782a76636acf1cfb5b4002 SHA256 5bfbdffeb516a1ca45438b6e0875c099055290a5a94da363a5c6c2496cd20674
-MISC ChangeLog~ 531 RMD160 98ac57dce5e650e3890e877a726eccd9f6c28a3c SHA1 2fc5f8fe3d63369904e38e062ddb3a7d378bd0c1 SHA256 aec59b6d479a05f8f1ab17e12a97d70ad47c8a2788c5f6fbe0d941b83a3d8ea6
-MISC cel-2.1_pre9999-r1.ebuild~ 1703 RMD160 c18300b81bb6d0004d0fd7efacc6c96336989db7 SHA1 464ef0efcefd368407be1825b51a5551718224e6 SHA256 fea429b9af983fed756666d1d3db45af435bb1a465b2e658b0c3844bc1628a08
-MISC cel-2.1_pre9999.ebuild~ 1703 RMD160 c18300b81bb6d0004d0fd7efacc6c96336989db7 SHA1 464ef0efcefd368407be1825b51a5551718224e6 SHA256 fea429b9af983fed756666d1d3db45af435bb1a465b2e658b0c3844bc1628a08
MISC metadata.xml 742 RMD160 ba57eb7e3665c99178c6f4aa87295f733078f1e7 SHA1 05b96b7763e8d31c7fdf288ff5d64cac1dbdb869 SHA256 8bba1c11f1a37559c759d853e6bed13ac5a288180366d18623bdcf19bd971ef2
diff --git a/dev-games/crystalspace/Manifest b/dev-games/crystalspace/Manifest
index cf808fa..f7a7b52 100644
--- a/dev-games/crystalspace/Manifest
+++ b/dev-games/crystalspace/Manifest
@@ -5,9 +5,5 @@ EBUILD crystalspace-1.9_pre9999-r5.ebuild 4796 RMD160 c9f6316314984ba2423ec96985
EBUILD crystalspace-2.1_pre9999-r1.ebuild 5229 RMD160 cfb27839a6bfa6d55a730c33399a351b1affbd36 SHA1 5aa4777dfc27c71f563eb7247cf18dee4ac2236f SHA256 5bf8eb98c99466f0cb8a5f6cf444116840f4b2b839c190284c2caaa15010d43c
EBUILD crystalspace-2.1_pre9999.ebuild 4796 RMD160 c9f6316314984ba2423ec969854c52dcd6de8ea7 SHA1 6865c6dc97296bca5e4df77964ed3a157692175b SHA256 2a2eaf1e0aaaba22a988167899ae48c3c2af2f10e66e47a852082c97d2ddb327
MISC ChangeLog 801 RMD160 72bedde4611a2e43ff346611cfd3d9fb3f65396b SHA1 a3f912ba85c3e15729943f7a98d7efcde2801c71 SHA256 d2041d780457d8dd7b5cff6952247b6305eeffb7752f65eecc2a7eac241e99cb
-MISC ChangeLog~ 606 RMD160 f2e03899bc92e0dceca32ff2cc8e4e169827e0f6 SHA1 356e6a6cf52897d2d1a9b228a43343de5682ea62 SHA256 5c2d388e28ddc5d43d488795a3b219afc39a64ffc621ab670d61ca39d7b87489
MISC config.log 44199 RMD160 a66b802ebc68d69c0d5083b69dc8f6daaf97d9c5 SHA1 15d68c4344b765b8164453e88789aa4aecb7d8a6 SHA256 fe079661825d0742a1881a1e5fe5ee12d2ce2a4c933e1ecb619f40731bcc877c
-MISC crystalspace-2.1_pre9999-r1.ebuild~ 5170 RMD160 77b780ad54a75a98ebb04ecb38ba4ef191db5b9b SHA1 6cc38a1a86b3e4de4ee5ae7e5ad2378d0f4dfc3d SHA256 01fdff0580bc09b67ad5f12233929024c3f80d0595b88907f4731ff857353b6b
-MISC crystalspace-2.1_pre9999.ebuild~ 4796 RMD160 c9f6316314984ba2423ec969854c52dcd6de8ea7 SHA1 6865c6dc97296bca5e4df77964ed3a157692175b SHA256 2a2eaf1e0aaaba22a988167899ae48c3c2af2f10e66e47a852082c97d2ddb327
MISC metadata.xml 897 RMD160 59e6eddca113690915fb17277d4ed3125f7599f2 SHA1 5e114681013e6ede57ecc30814b40e91948ce3d8 SHA256 82b3c21f6c5fb6b66310dc663f6bdd3ad3ca2b0e1d70ee056ce48eb92ef747ed
-MISC metadata.xml~ 897 RMD160 65a3ae4bdb55cfbe14a03b5ccc470431be28c35d SHA1 01d8b5cd36be9e6c959c3dde26118361b527b126 SHA256 9a2a9caeea36522d1dc50d4e5a3665167e3b985addd33d63398cf9e060d27df5
diff --git a/dev-util/eclipse-sdk/ChangeLog b/dev-util/eclipse-sdk/ChangeLog
index d98b41b..20f440d 100644
--- a/dev-util/eclipse-sdk/ChangeLog
+++ b/dev-util/eclipse-sdk/ChangeLog
@@ -1,10 +1,14 @@
# ChangeLog for dev-util/eclipse-sdk
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*eclipse-sdk-3.7.1-r3.ebuild (02 Feb 2012)
+ 02.Feb.2012 Sven Eden <sven.eden@gmx.de> +eclise-sdk-3.7.1-r3.ebuild :
+ First candidate to support jetty7
+
*eclipse-sdk-3.7.0-r5.ebuild (05 Jan 2012)
*eclipse-sdk-3.7.1-r2.ebuild (05 Jan 2012)
- 02.Jan.2012 Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r5.ebuild,
+ 05.Jan.2012 Sven Eden <sven.eden@gmx.de> +eclipse-sdk-3.7.0-r5.ebuild,
+eclise-sdk-3.7.1-r2.ebuild : The previous ebuilds did not specify the
correct versions for sat4j, the prepare stage still searched for slot
2 instead of 2.3. Thanks again to Robin Kauffman <robink@creosotehill.org>
diff --git a/dev-util/eclipse-sdk/Manifest b/dev-util/eclipse-sdk/Manifest
index c071110..e91dcff 100644
--- a/dev-util/eclipse-sdk/Manifest
+++ b/dev-util/eclipse-sdk/Manifest
@@ -9,4 +9,5 @@ DIST eclipse-build-5791c48513b4207ab1eec1e00bed4b2186f9aad5.tar.xz 276668 RMD160
DIST eclipse-build-9e028fbc74e844e96a6fd944d7d4f68909283a5d.tar.bz2 267292 RMD160 67bb33d75570a066e0c0af22b2e2b6228f2daea5 SHA1 44ff5cacf9b8a955bca74b5c32d0dc4f7017fcce SHA256 38fbf55a846ab5be2215e67c5a8855aacc1cf26a7d66d0307dd01c26ea56333c
EBUILD eclipse-sdk-3.7.0-r5.ebuild 14357 RMD160 59bccb0d80a254cb4a5524076367371b800fda06 SHA1 b8fe266985930c934cae9e298218ed3978991738 SHA256 8c1ec7b53b001a8886f0480eccfccfc47d8eaecb8049e827e7d6a7320428afa9
EBUILD eclipse-sdk-3.7.1-r2.ebuild 14696 RMD160 b661cef037719748df71283808166f4eb5ab0210 SHA1 c4b01006e10a654592514eead2aeb360272df815 SHA256 abd1ad324b42386880d97102f4bf1940c1ddcfc1a90dd0acdb4a1bc159b024ef
-MISC ChangeLog 2492 RMD160 85be23f4ff4edf6bae0d4265043df08ffed911b9 SHA1 e4762616fa5c5ce1bd3e84f6b97a2f2258221667 SHA256 bcef4e03f876bb43f885e9cbc37f387800f1c22749c1dec39385448489462ad5
+EBUILD eclipse-sdk-3.7.1-r3.ebuild 14480 RMD160 c1f84538813a1763f7fb5c832bb757fe3b58511e SHA1 623335796912df2e8a22449a4869849f845dc29e SHA256 941af76af56ba74d5f029027c85da659d390a0632191fbc28169fb1182c3ca65
+MISC ChangeLog 2645 RMD160 461aa21eabcbb2111a897753c2f9018c5d8c443c SHA1 9de77b3e0da41ff99c8829753c5e4b5127948ff8 SHA256 8d87f5f2b24f0128d8fe6ebc2473f617571637d43b629866140a06df77609dd0
diff --git a/dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r3.ebuild b/dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r3.ebuild
new file mode 100644
index 0000000..7a4af30
--- /dev/null
+++ b/dev-util/eclipse-sdk/eclipse-sdk-3.7.1-r3.ebuild
@@ -0,0 +1,415 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header$
+
+EAPI="2"
+WANT_ANT_TASKS="ant-nodeps"
+
+# eclipse-build is too complicated for automatic fixing
+# if there are any fixes we should create patches
+# and push them upstream
+JAVA_PKG_BSFIX="off"
+
+inherit java-pkg-2 java-ant-2 check-reqs
+
+BUILD_VER="3.7.1"
+BUILD_ID="I20110909-1335"
+BUILD_LABEL="${BUILD_VER}-${BUILD_ID}"
+ECLIPSE_BUILD_VER="9e028fbc74e844e96a6fd944d7d4f68909283a5d"
+S="${WORKDIR}/org.eclipse.linuxtools.eclipse-build-${ECLIPSE_BUILD_VER}/eclipse-build"
+
+DESCRIPTION="Eclipse SDK"
+HOMEPAGE="http://www.eclipse.org/eclipse/"
+BASE_URI="http://download.eclipse.org/technology/linuxtools/eclipse-build/3.7.x_Indigo/"
+SRC_URI="${BASE_URI}eclipse-${BUILD_VER}-src.tar.bz2
+ http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.eclipse-build.git/snapshot/org.eclipse.linuxtools.eclipse-build-${ECLIPSE_BUILD_VER}.tar.bz2 -> eclipse-build-${ECLIPSE_BUILD_VER}.tar.bz2"
+# ${BASE_URI}eclipse-build-${ECLIPSE_BUILD_VER}.tar.xz"
+
+LICENSE="EPL-1.0"
+RESTRICT="mirror"
+SLOT="3.7"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc gnome jetty7 source"
+
+# ant dependencies should really be >=1.8.2
+CDEPEND=">=dev-java/swt-${PV%.0}_rc4:${SLOT}
+ >=dev-java/ant-1.8.1
+ >=dev-java/asm-3.3.1:3
+ >=dev-java/commons-codec-1.3
+ >=dev-java/commons-el-1.0
+ >=dev-java/commons-httpclient-3.1:3
+ >=dev-java/commons-logging-1.0.4
+ >=dev-java/hamcrest-core-1.1
+ >=dev-java/icu4j-4.4.2:4.4
+ >=dev-java/jsch-0.1.41
+ >=dev-java/junit-3.8.2:0
+ >=dev-java/junit-4.8.2:4
+ >=dev-java/lucene-2.9.1:2.9
+ >=dev-java/lucene-analyzers-2.9.1:2.9
+ >=dev-java/sat4j-core-2.3.0:2.3
+ >=dev-java/sat4j-pseudo-2.3.0:2.3
+ dev-java/tomcat-servlet-api:2.5
+ >=www-servers/tomcat-7:7
+ !jetty7? ( java-virtuals/jetty-server:6 )
+ jetty7? ( java-virtuals/jetty-server:7 )
+ x86? ( gnome? ( gnome-base/gconf ) )"
+RDEPEND="${CDEPEND}
+ >=virtual/jre-1.5"
+
+# ant dependencies should really be >=1.8.2
+DEPEND="${CDEPEND}
+ app-arch/unzip
+ app-arch/xz-utils
+ app-arch/zip
+ >=dev-java/ant-antlr-1.8.1
+ >=dev-java/ant-apache-bcel-1.8.1
+ >=dev-java/ant-apache-bsf-1.8.1
+ >=dev-java/ant-apache-log4j-1.8.1
+ >=dev-java/ant-apache-oro-1.8.1
+ >=dev-java/ant-apache-regexp-1.8.1
+ >=dev-java/ant-apache-resolver-1.8.1
+ >=dev-java/ant-apache-xalan2-1.8.1
+ >=dev-java/ant-commons-logging-1.8.1
+ >=dev-java/ant-commons-net-1.8.1
+ >=dev-java/ant-core-1.8.1
+ >=dev-java/ant-javamail-1.8.1
+ >=dev-java/ant-jdepend-1.8.1
+ >=dev-java/ant-jmf-1.8.1
+ >=dev-java/ant-jsch-1.8.1
+ >=dev-java/ant-junit-1.8.1
+ >=dev-java/ant-junit4-1.8.1
+ >=dev-java/ant-swing-1.8.1
+ >=dev-java/ant-testutil-1.8.1
+ >=virtual/jdk-1.6"
+
+OSGI_DEPENDENCIES=(
+ 'com.ibm.icu - icu4j-4.4'
+ 'com.jcraft.jsch - jsch'
+ 'javax.servlet - tomcat-servlet-api-2.5 servlet-api'
+ 'javax.servlet.jsp - tomcat-servlet-api-2.5 jsp-api'
+ 'org.apache.commons.codec commons-codec commons-codec'
+ 'org.apache.commons.el apache-commons-el-1.0 commons-el'
+ 'org.apache.commons.httpclient - commons-httpclient-3'
+ 'org.apache.commons.logging apache-commons-logging commons-logging'
+ 'org.apache.jasper - tomcat-7 jasper jasper-el'
+ 'org.apache.lucene.core - lucene-2.9'
+ 'org.apache.lucene.analysis - lucene-analyzers-2.9'
+ 'org.hamcrest.core - hamcrest-core'
+ 'org.objectweb.asm - asm-3'
+ 'org.sat4j.core - sat4j-core-2.3'
+ 'org.sat4j.pb - sat4j-pseudo-2.3'
+)
+
+# Add jetty 6 to OSGI deps unless jetty 7 is wanted:
+if use jetty7 ; then
+ OSGI_DEPENDENCIES[${#OSGI_DEPENDENCIES[*]}]='org.mortbay.jetty.server - jetty-7 jetty'
+ OSGI_DEPENDENCIES[${#OSGI_DEPENDENCIES[*]}]='org.mortbay.jetty.util - jetty-7 jetty-util'
+else
+ OSGI_DEPENDENCIES[${#OSGI_DEPENDENCIES[*]}]='org.mortbay.jetty.server - jetty-6 jetty'
+ OSGI_DEPENDENCIES[${#OSGI_DEPENDENCIES[*]}]='org.mortbay.jetty.util - jetty-6 jetty-util'
+fi
+
+NONOSGI_DEPENDENCIES=(
+ 'org.apache.ant ant-antlr'
+ 'org.apache.ant ant-apache-bcel'
+ 'org.apache.ant ant-apache-bsf'
+ 'org.apache.ant ant-apache-log4j'
+ 'org.apache.ant ant-apache-oro'
+ 'org.apache.ant ant-apache-regexp'
+ 'org.apache.ant ant-apache-resolver'
+ 'org.apache.ant ant-apache-xalan2'
+ 'org.apache.ant ant-commons-logging'
+ 'org.apache.ant ant-commons-net'
+ 'org.apache.ant ant-core ant ant-launcher'
+ 'org.apache.ant ant-javamail'
+ 'org.apache.ant ant-jdepend'
+ 'org.apache.ant ant-jmf'
+ 'org.apache.ant ant-jsch'
+ 'org.apache.ant ant-junit'
+ 'org.apache.ant ant-junit4'
+ 'org.apache.ant ant-swing'
+ 'org.apache.ant ant-testutil'
+ 'org.junit_3.8.2.v3 junit'
+ 'org.junit4 junit-4 junit'
+ 'org.junit_4.8.2.v4 junit-4 junit'
+)
+
+ALL_OS='aix hpux linux macosx qnx solaris win32'
+ALL_WS='carbon cocoa gtk motif photon win32 wpf'
+ALL_ARCH='alpha arm ia64 mips mipsel PA_RISC ppc ppc64 s390 s390x sparc sparc64 x86 x86_64'
+
+pkg_pretend() {
+ CHECKREQS_MEMORY="1536M"
+ if use doc ; then
+ CHECKREQS_DISK_BUILD="3072M"
+ else
+ CHECKREQS_DISK_BUILD="1536M"
+ fi
+ check-reqs_pkg_pretend
+}
+
+buildDir="${S}/build/eclipse-${BUILD_VER}-src"
+
+pkg_setup() {
+ CHECKREQS_MEMORY="1536M"
+ if use doc ; then
+ CHECKREQS_DISK_BUILD="3072M"
+ else
+ CHECKREQS_DISK_BUILD="1536M"
+ fi
+
+ check-reqs_pkg_setup
+ ws='gtk'
+ if use x86 ; then os='linux' ; arch='x86'
+ elif use amd64 ; then os='linux' ; arch='x86_64'
+ fi
+
+ java-pkg-2_pkg_setup
+
+ if use doc ; then
+ ewarn "Having the 'doc' USE flag enabled greatly increases the build time."
+ ewarn "You might want to disable it for ${PN} if you don't need it."
+ fi
+}
+
+src_unpack() {
+ unpack "eclipse-build-${ECLIPSE_BUILD_VER}.tar.bz2"
+ #tar -xpJf "${DISTDIR}/eclipse-build-${ECLIPSE_BUILD_VER}.tar.xz"
+ ln -s "${DISTDIR}/eclipse-${BUILD_VER}-src.tar.bz2" "${S}/eclipse-${BUILD_VER}-src.tar.bz2" || die
+
+ cd "${S}"
+ # building with ecj fails for some reason (polluted classpath probably)
+ java-pkg_force-compiler javac
+ sed -e 's/^\(label\|testsBuildLabel\)=.*$/\1='"${BUILD_VER}"'/' \
+ -e 's/^buildId=.*$/buildId='"${BUILD_ID}"'/' \
+ -i build.properties -i pdebuild.properties || die
+ eant unpack
+}
+
+src_prepare() {
+ # apply patches before we start cleaning junk out
+ eant applyPatches
+
+ # fix up hardcoded runtime class paths
+ sed -e 's|/usr/lib/jvm/java/jre/lib/rt\.jar:.*$|'"$(java-config --runtime)"'|' \
+ -i {,pde}build.properties || die
+
+ # we'll handle our own dependency symlinking, so disable eclipse-build helper
+ sed -e 's/,symlinkDeps,/,/' -i build.xml || die
+ sed_xml_element 'target' -e '/name="provision.sdk"/ s|<symlinkInstalled.*\(<echo \)|\1|' \
+ -i build.xml || die
+
+ # this unpacking step appears to be unnecessary (and it doesn't work)
+ sed_xml_element 'target' -e 's/\(depends="[^"]\+\),[^",]*nestedJars/\1/' \
+ -i "${buildDir}"/plugins/*/build.xml || die
+
+ # disable building of libgnomeproxy on x86 if USE=-gnome
+ if ! use gnome ; then
+ sed_xml_element 'condition' -e '/property="build\.libgnomeproxy"/d' -i build.xml || die
+ fi
+
+ # skip compilation of SWT native libraries (we use the system-installed copies)
+ sed_xml_element 'ant' -e '/swt/d' -i build.xml || die
+
+ ebegin 'Removing plugins of irrelevant platforms'
+ local remove_os=" ${ALL_OS} " ; remove_os=${remove_os/ ${os} / }
+ remove_os=${remove_os# } ; remove_os=${remove_os% } ; remove_os=${remove_os// /'\|'}
+ local remove_ws=" ${ALL_WS} " ; remove_ws=${remove_ws/ ${ws} / }
+ remove_ws=${remove_ws# } ; remove_ws=${remove_ws% } ; remove_ws=${remove_ws// /'\|'}
+ local remove_arch=" ${ALL_ARCH} " ; remove_arch=${remove_arch/ ${arch} / }
+ remove_arch=${remove_arch# } ; remove_arch=${remove_arch% } ; remove_arch=${remove_arch// /'\|'}
+ sed_xml_element 'includes\|plugin' \
+ -e '/id="org\.eclipse\.\(core\.net\.linux\.x86\|update\.core\.linux\)"/b' \
+ -e '/os="'"${remove_os}"'"/d' -e '/ws="'"${remove_ws}"'"/d' -e '/arch="'"${remove_arch}"'"/d' \
+ -i "${buildDir}"/features/*/feature.xml "${S}"/eclipse-build-feature/feature.xml \
+ || die 'remove irrelevant platforms failed'
+ eend
+
+ if ! use doc ; then
+ ebegin 'Removing documentation plugins'
+ rm -rf "${buildDir}"/plugins/*.doc{,.*}
+ eclipse_delete-plugins '.*\.doc\(\..*\|\)'
+ eend
+ fi
+
+ if ! use source ; then
+ ebegin 'Removing source plugins'
+ rm -rf "${buildDir}"/plugins/*.source{,_*}
+ eclipse_delete-plugins '.*\.source'
+ eend
+ fi
+
+ ebegin 'Linking dependencies'
+ local dep ; for dep in "${OSGI_DEPENDENCIES[@]}" ; do
+ eclipse_create-osgi-dep ${dep}
+ done
+ local dep ; for dep in "${NONOSGI_DEPENDENCIES[@]}" ; do
+ eclipse_create-nonosgi-dep ${dep}
+ done
+ eend
+
+ cd "${buildDir}" || die
+ epatch "${FILESDIR}/${SLOT}/hamcrest-junit-lib.patch"
+ epatch "${FILESDIR}/${SLOT}/gtk_makefile.patch"
+ epatch "${FILESDIR}/${SLOT}/iterators.patch"
+}
+
+src_compile() {
+ ANT_OPTS='-Xmx512M' eant -DbuildArch="${arch}"
+
+ # remove stray symlink
+ rm "${buildDir}"/installation/plugins/junit4.jar
+}
+
+src_install() {
+ local destDir="/usr/$(get_libdir)/eclipse-${SLOT}"
+
+ insinto "${destDir}"
+ shopt -s dotglob
+ doins -r "${buildDir}"/installation/* || die
+ shopt -u dotglob
+ chmod +x "${D}${destDir}"/eclipse
+ rm -f "${D}${destDir}"/libcairo-swt.so # use the system-installed SWT libraries
+
+ # redo symlinks
+ ebegin 'Relinking dependencies'
+ local dep ; for dep in "${OSGI_DEPENDENCIES[@]}" ; do
+ eclipse_relink-osgi-dep ${dep}
+ done
+ local dep ; for dep in "${NONOSGI_DEPENDENCIES[@]}" ; do
+ eclipse_relink-nonosgi-dep ${dep}
+ done
+ eend
+
+ # Install Gentoo wrapper and config
+ dobin "${FILESDIR}/${SLOT}/eclipse-${SLOT}" || die
+ insinto /etc
+ doins "${FILESDIR}/${SLOT}/eclipserc-${SLOT}" || die
+
+ # Create desktop entry
+ make_desktop_entry "eclipse-${SLOT}" "Eclipse ${PV}" "${destDir}/icon.xpm" || die
+}
+
+eclipse_create-osgi-dep() {
+ local bundle=${1} replace=${2} package=${3} ; shift 3
+ bundle=$(basename "${S}/dependencyManifests/${bundle}"_*.jar .jar) || die
+ [[ ${replace} == '-' ]] && replace=${bundle}
+ einfo " ${bundle} => ${package}" "${@}"
+ mkdir -p "${buildDir}/plugins/${bundle}" || die
+ pushd "${buildDir}/plugins/${bundle}" > /dev/null || die
+ if (( ${#} )) ; then
+ local jar ; for jar in "${@}" ; do
+ java-pkg_jar-from "${package}" "${jar}.jar"
+ done
+ else
+ java-pkg_jar-from "${package}"
+ fi
+ mkdir META-INF || die
+ cp "${S}/dependencyManifests/${bundle}.jar/META-INF/MANIFEST.MF" META-INF/ || die
+ manifest_replace META-INF/MANIFEST.MF 'Bundle-ClassPath' "$(echo *.jar | tr ' ' ',')"
+ manifest_delete META-INF/MANIFEST.MF 'Name\|SHA1-Digest'
+ # replace classpath refs to this bundle with refs to system-installed jars
+ sed_xml_element 'pathelement' -e '/path="\([^"]\+\/\)\?'"${replace//./\.}"'\.jar"/c '"$(
+ for jar in *.jar ; do
+ echo -n '<pathelement path="'"$(readlink "${jar}")"'"/>'
+ done)" -i "${buildDir}"/plugins/*/build.xml || die
+ popd > /dev/null || die
+ # include unpacked bundle in copy to bootstrap plugins dir
+ sed_xml_element 'fileset' -e '/id="orbitDeps"/ s|</fileset>|<include name="'"${bundle}/"'"/>\0|' \
+ -i "${S}/pdebuild.xml" || die
+}
+
+eclipse_create-nonosgi-dep() {
+ local bundle=${1} package=${2} ; shift 2
+ local pdir=${buildDir}/plugins
+ local jar ; for jar in "${@:-${package}}" ; do
+ local dir=$(dirname "$(grep -ho "${bundle//./\.}"'\(_[^/=]*\)\?/\([^/=]*/\)*'"${jar}"'\.jar' \
+ "${S}"/{,jdt}nonosgidependencies.properties)") || die
+ einfo " ${dir}/${jar}.jar => ${package}"
+ mkdir -p "${pdir}/${dir}" || die
+ java-pkg_jar-from --build-only "${package}" "${jar}.jar" "${pdir}/${dir}/${jar}.jar"
+ dir=${dir%%/*}
+ local manifest=${pdir}/${dir}/META-INF/MANIFEST.MF
+ [[ -f ${manifest} ]] && manifest_delete "${manifest}" 'Name\|SHA1-Digest'
+ rm -f "${pdir}/${dir}"/META-INF/ECLIPSEF.{RSA,SF}
+ done
+}
+
+eclipse_relink-osgi-dep() {
+ local bundle=${1} replace=${2} package=${3} ; shift 3
+ einfo " ${bundle} => ${package}" "${@}"
+ pushd "${D}${destDir}/plugins/${bundle}"_* > /dev/null || die
+ if (( ${#} )) ; then
+ local jar ; for jar in "${@}" ; do
+ java-pkg_jar-from --build-only "${package}" "${jar}.jar"
+ done
+ else
+ java-pkg_jar-from --build-only "${package}"
+ fi
+ popd > /dev/null || die
+}
+
+eclipse_relink-nonosgi-dep() {
+ local bundle=${1} package=${2} ; shift 2
+ local pdir=${D}${destDir}/plugins
+ local jar ; for jar in "${@:-${package}}" ; do
+ local dir=$(dirname "$(grep -ho "${bundle//./\.}"'\(_[^/=]*\)\?/\([^/=]*/\)*'"${jar}"'\.jar' \
+ "${S}"/{,jdt}nonosgidependencies.properties)") || die
+ einfo " ${dir}/${jar}.jar => ${package}"
+ mkdir -p "${pdir}/${dir}" || die
+ java-pkg_jar-from --build-only "${package}" "${jar}.jar" "${pdir}/${dir}/${jar}.jar"
+ done
+}
+
+# Removes feature.xml references to plugins matching ${1}.
+eclipse_delete-plugins() {
+ sed_xml_element 'includes\|plugin' -e '/id="'"${1}"'"/d' \
+ -i "${buildDir}"/features/*/feature.xml "${S}"/eclipse-build-feature/feature.xml \
+ || die 'eclipse_delete-plugins failed'
+}
+
+# Prints the first value from manifest file ${1} whose key matches regex ${2},
+# unfolding as necessary.
+manifest_get() {
+ sed -n -e '/^\('"${2}"'\): /{h;:A;$bB;n;/^ /!bB;H;bA};d;:B;g;s/^[^:]*: //;s/\n //g;p;q' "${1}" \
+ || die 'manifest_get failed'
+}
+
+# Deletes values from manifest file ${1} whose keys match regex ${2}, taking
+# into account folding.
+manifest_delete() {
+ sed -n -e ':A;/^\('"${2}"'\): /{:B;n;/^ /!{bA};bB};p' -i "${1}" \
+ || die 'manifest_delete failed'
+}
+
+# Replaces the value for key ${2} in the first section of manifest file ${1}
+# with ${3}, or adds the key-value pair to that section if the key was absent.
+manifest_replace() {
+ LC_ALL='C' awk -v key="${2}" -v val="${3}" '
+function fold(s, o, l, r) {
+ o = 2 ; l = length(s) - 1 ; r = substr(s, 1, 1)
+ while (l > 69) { r = r substr(s, o, 69) "\n " ; o += 69 ; l -= 69 }
+ return r substr(s, o)
+}
+BEGIN { FS = ": " }
+f { print ; next }
+i { if ($0 !~ "^ ") { f = 1 ; print } ; next }
+$1 == key { print fold(key FS val) ; i = 1 ; next }
+/^\r?$/ { print fold(key FS val) ; print ; f = 1 ; next }
+{ print }
+END { if (!f) { print fold(key FS val) } }
+' "${1}" > "${1}-" && mv "${1}"{-,} || die 'manifest_replace failed'
+}
+
+# Executes sed over each XML element with a name matching ${1}, rather than
+# over each line. The entire element (and its children) may be removed with the
+# 'd' command, or they may be edited using all the usual sed foo. Basically,
+# the script argument will be executed only for elements matching ${1}, and the
+# sed pattern space will consist of the entire element, including any nested
+# elements. Note that this is not perfect and requires no more than one XML
+# element per line to be reliable.
+sed_xml_element() {
+ local elem=${1} ; shift
+ sed -e '/<\('"${elem}"'\)\([> \t]\|$\)/{:_1;/>/!{N;b_1};/\/>/b_3' \
+ -e ':_2;/<\/\('"${elem}"'\)>/!{N;b_2};b_3};b;:_3' "${@}"
+}
diff --git a/java-virtuals/jetty-server/ChangeLog b/java-virtuals/jetty-server/ChangeLog
index 585fe0c..d94cea7 100644
--- a/java-virtuals/jetty-server/ChangeLog
+++ b/java-virtuals/jetty-server/ChangeLog
@@ -2,9 +2,19 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
-*jetty-server-6-r1.ebuild (01 Feb 2012)
+*jetty-server-7.ebuild (02 Feb 2012)
+*jetty-server-6-r2.ebuild (02 Feb 2012)
02 Feb 2012; Sven Eden <sven.eden@gmx.de>
+ +jetty-server-7.ebuild
+ +jetty-server-6-r2.ebuild
+ -jetty-server-6-r1.ebuild :
+ Added virtual for jetty 7, fixed an issue with the slot 6 ebuild and
+ cleaned up old ebuilds
+
+*jetty-server-6-r1.ebuild (01 Feb 2012)
+
+ 01 Feb 2012; Sven Eden <sven.eden@gmx.de>
-jetty-server-6.ebuild
+jetty-server-6-r1.ebuild :
Removed all dependencies that are neither present in the portage tree
diff --git a/java-virtuals/jetty-server/Manifest b/java-virtuals/jetty-server/Manifest
index a3c771d..2c9706e 100644
--- a/java-virtuals/jetty-server/Manifest
+++ b/java-virtuals/jetty-server/Manifest
@@ -1,2 +1,3 @@
-EBUILD jetty-server-6-r1.ebuild 547 RMD160 cf054ec50b6d69ccd199daa5974de096cfb9d91a SHA1 b9f872d649835f9789c1646ea8faf848de0c161c SHA256 7fb458a890de1217ea1023fc0b1790383d72f72c8f189ae8e23c30e8b779b6bc
-MISC ChangeLog 589 RMD160 350148adf18f965416af315c6d1e9d65d9fb60b9 SHA1 b2e0225b6603a96625d5289c6d696e63f6b64c5c SHA256 12301532cbfc02f8fa8f636338393098fec7ea7a8122939ed858e845ea02bb43
+EBUILD jetty-server-6-r2.ebuild 485 RMD160 4a92674c1996327ee70306cc97a00ad2cc4e2a65 SHA1 b075119ebe7166caa627d798e7b8ff56e8a50f10 SHA256 c3aa953d420f0dcbfd93e7953e5918e2a4de52d1e5cb6b2200c15bfb0cb7564a
+EBUILD jetty-server-7.ebuild 487 RMD160 67b3f4de305a2f8113d8ef2490423608adf373d8 SHA1 45836cffc6ece7dc4e8462b9f5fa03dbb6b769f9 SHA256 7f28179876ddd3a8d532881906fb6ac0991253c83e2b1c3702740bcfbe4eb135
+MISC ChangeLog 891 RMD160 d1ec196161ebbaf86a6fc93fbe90a3283764a3fc SHA1 b923965b252481ccc73e8a6c57e5023c6860ac09 SHA256 fb9aca38e79083c287068267766e6fc25251b3cb610f342734986600faa4d975
diff --git a/java-virtuals/jetty-server/jetty-server-6-r1.ebuild b/java-virtuals/jetty-server/jetty-server-6-r2.ebuild
index fe09990..7524a5d 100644
--- a/java-virtuals/jetty-server/jetty-server-6-r1.ebuild
+++ b/java-virtuals/jetty-server/jetty-server-6-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/virtual/ssh/ssh-0.ebuild,v 1.1 2011/04/16 19:27:07 ulm Exp $
EAPI="2"
@@ -19,4 +19,4 @@ RDEPEND="
www-servers/jetty-bin:${SLOT}
>=dev-java/java-config-2.1.8"
-JAVA_VIRTUAL_PROVIDES="jetty-${SLOT} jetty-bin-${SLOT} jetty-eclipse-${SLOT} jetty-eclipse-bin-${SLOT}"
+JAVA_VIRTUAL_PROVIDES="jetty-bin-${SLOT}"
diff --git a/java-virtuals/jetty-server/jetty-server-7.ebuild b/java-virtuals/jetty-server/jetty-server-7.ebuild
new file mode 100644
index 0000000..53a9fb1
--- /dev/null
+++ b/java-virtuals/jetty-server/jetty-server-7.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/virtual/ssh/ssh-0.ebuild,v 1.1 2011/04/16 19:27:07 ulm Exp $
+EAPI="2"
+
+inherit java-virtuals-2
+
+DESCRIPTION="Virtual for Jetty www server"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+ www-servers/jetty-bin:${SLOT}
+ >=dev-java/java-config-2.1.8"
+
+JAVA_VIRTUAL_PROVIDES="jetty-bin-${SLOT}"
diff --git a/media-gfx/nvidia-cg-toolkit/Manifest b/media-gfx/nvidia-cg-toolkit/Manifest
index 60c354e..1c2cb88 100644
--- a/media-gfx/nvidia-cg-toolkit/Manifest
+++ b/media-gfx/nvidia-cg-toolkit/Manifest
@@ -4,6 +4,4 @@ DIST Cg-3.0_July2010_x86_64.tgz 20733994 RMD160 90cee7f0ced3c04bccb384cbce0c6dbd
EBUILD nvidia-cg-toolkit-3.0.0000-r1.ebuild 1124 RMD160 c208f74f22ab62411512b38f2357fff5513bba93 SHA1 c56ad7eac6c75cc42ff542742d0783ea52514c8e SHA256 7cbd2eb6f0890a3c2b0d33ed09731912eef50abebeb9a5b7ff5be1daa22858b5
EBUILD nvidia-cg-toolkit-3.0.0000.ebuild 1124 RMD160 3bbe4e3dfd82f3cfc49811025d57744bc30932e2 SHA1 d14c9c0ba696e2fcb41dca816a2e2ab5c35cff6e SHA256 bd2198636b3272fe1bb2850da406ed309df5be5df79c7638ca0b6d0f8461039f
MISC ChangeLog 465 RMD160 d8763c3efc1aced163ad5f03652813e68e0a7549 SHA1 f8f0a5e138a02a5dc6ee4bdd865b156e9debbd76 SHA256 020d43d7ec7cf1fd676feba2585c214ee18e6f6de0920704167bc1959134cd97
-MISC ChangeLog~ 284 RMD160 24b980f4a9e286eb2a5fc8e4456334d94f6b5112 SHA1 fac06bc20d354ff7ce2eb013fd00b4bac3d7e0d1 SHA256 87a2c55162b144cc026989b25483407a1d8c1176422fabdd8d6d9f85ec12a902
MISC metadata.xml 363 RMD160 c640b825efd0eb007e5b64122dbf9166948cf4ae SHA1 2c06546dd209aa3c0ac88d688b644387da133a87 SHA256 0b51398a901ef4e1901e2d6f2acd7d63bc01e76039a52e85140e7d8b55d9e2c1
-MISC nvidia-cg-toolkit-3.0.0000-r1.ebuild~ 1124 RMD160 3bbe4e3dfd82f3cfc49811025d57744bc30932e2 SHA1 d14c9c0ba696e2fcb41dca816a2e2ab5c35cff6e SHA256 bd2198636b3272fe1bb2850da406ed309df5be5df79c7638ca0b6d0f8461039f
diff --git a/www-apps/dotproject/Manifest b/www-apps/dotproject/Manifest
index 35d2932..e1ffa76 100644
--- a/www-apps/dotproject/Manifest
+++ b/www-apps/dotproject/Manifest
@@ -3,6 +3,4 @@ DIST dotproject-2.1.5.tar.gz 4524714 RMD160 d50f3b0ffd5fb390385b2c88420e66054969
EBUILD dotproject-2.1.5-r2.ebuild 1341 RMD160 30400ad3a77f7f8d2e06448340795e1567f8bd04 SHA1 4cdd07f690558a2ea40b48a9060105c57ebc4c6e SHA256 2c3eea5e13c940b827caebf4a08f6e1631d00e65c9130d1cf8e3c1d3719e3084
EBUILD dotproject-2.1.5-r3.ebuild 1340 RMD160 caa030a20d89b06c67005c52f0a180e4c6d081a6 SHA1 8450021ed1f98c662dd73df770111a076fed2fdc SHA256 ecec553189f8c3a64c0ca29dc5f65de32cfb839f2da8db0bc0f9ee7faa4283c8
MISC ChangeLog 649 RMD160 ec9b7588718a55ca560fcaa1e2fa9336d37243aa SHA1 8d173d372001cdbe54df27dd41e9fb91dbc40fde SHA256 7b1c1a5bf1e3ac4dad12f38298654e1e29e613b730afb11a714c9fa2c5b9820d
-MISC ChangeLog~ 311 RMD160 8df61739111a8ed0fbb364852dd26943407ce572 SHA1 2f27231fd326a7f587a973c3d46669d848dae07f SHA256 1870dbb73c966bf09e61f0d3c243500d9789c148975e9f902eb908adb3e8aa97
-MISC dotproject-2.1.5-r3.ebuild~ 1341 RMD160 30400ad3a77f7f8d2e06448340795e1567f8bd04 SHA1 4cdd07f690558a2ea40b48a9060105c57ebc4c6e SHA256 2c3eea5e13c940b827caebf4a08f6e1631d00e65c9130d1cf8e3c1d3719e3084
MISC metadata.xml 162 RMD160 0b015f5ff17c4d8e7aee826d48b326cc19b1fed4 SHA1 671b30dafbea01228c8bb606af451a0795922840 SHA256 84ff2fc6c9a4af1b9dbe32aa81ab84c2958bc1bd65a9977686df2dcab6e420d0
diff --git a/www-servers/jetty-bin/ChangeLog b/www-servers/jetty-bin/ChangeLog
index afb9c15..c78a6d4 100644
--- a/www-servers/jetty-bin/ChangeLog
+++ b/www-servers/jetty-bin/ChangeLog
@@ -1,7 +1,21 @@
# ChangeLog for www-servers/jetty-bin
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*jetty-bin-7.5.4.ebuild (02 Feb 2012)
+*jetty-bin-6.1.26-r3.ebuild (02 Feb 2012)
+
+ 02 Feb 2012; Sven Eden <sven.eden@gmx.de>
+ +jetty-bin-7.5.4.ebuild :
+ First Ebuild for Jetty-7
+ +jetty-bin-6.1.26-r3.ebuild :
+ Cleaned up some issues
+
+ - jetty-bin-6.1.26.ebuild
+ - jetty-bin-6.1.26-r1.ebuild
+ - jetty-bin-6.1.26-r2.ebuild
+ Removed old ebuilds
+
*jetty-bin-6.1.26-r2.ebuild (22 Nov 2011)
15 Aug 2011; Sven Eden <sven.eden@gmx.de> +jetty-bin-6.1.26-r2.ebuild :
diff --git a/www-servers/jetty-bin/Manifest b/www-servers/jetty-bin/Manifest
index d5e7981..0090d8f 100644
--- a/www-servers/jetty-bin/Manifest
+++ b/www-servers/jetty-bin/Manifest
@@ -1,8 +1,10 @@
-AUX conf.d/jetty 676 RMD160 47bd799223d448b21e83d4f2102597ba1012788d SHA1 4add53cc8f55b8d3154efab67b4e082270089356 SHA256 19ea54fbf09fab5b3ccaf819ae872935d6d3718ce6e753dc834302a6be4d199f
-AUX init.d/jetty 1542 RMD160 60df75201271ac2e62d1a164238a435b842c39b3 SHA1 90f278c31dc1397df1b6bd318f844a2266c8ebf4 SHA256 76872ed861876492cbf1915cb3bbb4fdc36996446744f816a78fbe0b321f8720
+AUX conf.d/jetty-6 676 RMD160 47bd799223d448b21e83d4f2102597ba1012788d SHA1 4add53cc8f55b8d3154efab67b4e082270089356 SHA256 19ea54fbf09fab5b3ccaf819ae872935d6d3718ce6e753dc834302a6be4d199f
+AUX conf.d/jetty-7 638 RMD160 833e953d23750afd17e20a8b4274e84150a0bf03 SHA1 4b9e6c67ed1eba32d36e840a590d378a8975a0ce SHA256 5e15c5283ac1177d42e209f1838b34d50c8c687befb3978f31072c16b8cdc0f5
+AUX init.d/jetty-6 1542 RMD160 60df75201271ac2e62d1a164238a435b842c39b3 SHA1 90f278c31dc1397df1b6bd318f844a2266c8ebf4 SHA256 76872ed861876492cbf1915cb3bbb4fdc36996446744f816a78fbe0b321f8720
+AUX init.d/jetty-7 1542 RMD160 60df75201271ac2e62d1a164238a435b842c39b3 SHA1 90f278c31dc1397df1b6bd318f844a2266c8ebf4 SHA256 76872ed861876492cbf1915cb3bbb4fdc36996446744f816a78fbe0b321f8720
DIST jetty-6.1.26.zip 25894195 RMD160 6e960763e720641e1bfd69ca8e5d54f0bc7d8def SHA1 9485913f1a1945a849a90f1a34853d22350bc524 SHA256 96c08eb87ec3772dccc2b3dba54fea85ccc3f804faf7429eecfba3ed55648187
DIST jetty-ant-6.1.26.jar 22961 RMD160 910a0e8522a9bf9f6e33298d72a1aba46aa39954 SHA1 0e07d6fad03c440daa7b0523ffbf58bf41151266 SHA256 b82f643508d0fbcac5f92e3ecd7271684be098a97bd1304345c00c98a4d95f4c
-EBUILD jetty-bin-6.1.26-r1.ebuild 4978 RMD160 7ccf38c60980e919947cf1bd3267a6cc2acd9991 SHA1 d00826b1c69496ae64282ea029f34f0ddd08265f SHA256 6b3cc111c031e4d95f44497337d47f3a89e3dd7edae603507e9e5b944f5cffae
-EBUILD jetty-bin-6.1.26-r2.ebuild 5166 RMD160 a2f7601a1fc2491a31c91d6dc13cbb87b2bc7315 SHA1 c767649559a89e310f5789db097c2c1c4062363f SHA256 d411d9dba1a5acf6b676b8f156b6eace1554ed5aac35b7e11ee08607e4dc5c6b
-EBUILD jetty-bin-6.1.26.ebuild 4952 RMD160 a2a9e4d26e4c1e4728f3e8de84c3972b70c92dbd SHA1 6a257e562e0577359913f3a4496fb74b02c986d4 SHA256 a059cd4bcc94b636f65b7f1e98536b61cdd6a388707900b988854dab3d8650eb
-MISC ChangeLog 756 RMD160 59e21f02cbdb59574e9c4d9fde1e9c5de57c21e2 SHA1 55f8392d4e3fb2b3341d9061dd616cbebdbe58df SHA256 93445913e28124f13525c7ffd499b94a83d1aca5ac02bc66cc1f2d9822ff7ffe
+DIST jetty-distribution-7.5.4.v20111024.tar.gz 12304533 RMD160 0c26a161ea8caa4e0b47ee8614d469021eeccc88 SHA1 a5007de6f0c81c1b1551fd58f369ce7a2a554216 SHA256 afaa7b5370931122f4108b1c1eefcc3921960b9eb655f528559aa7ea303d308d
+EBUILD jetty-bin-6.1.26-r3.ebuild 5157 RMD160 1cbb9f5ce203e73596cc66756f222273e94e31f6 SHA1 3b22af51150e6911328c96ee7e3bb940df84bcbf SHA256 c9c0a43b1f65f5bf08c0ab8c6b39a023ab52b24b27afc0b307631165e726474b
+EBUILD jetty-bin-7.5.4.ebuild 6221 RMD160 ed7c142ab00940cb8a9061d5a042d0691b3c0611 SHA1 9fb9e7c920b1be5cb6fef54f3a0ff21b23d79c43 SHA256 3044cc72fb0be783ac78532cc067597e82c685117f73200452544f855acf7de6
+MISC ChangeLog 1107 RMD160 6a3279940c12fa15dad4c1f3bd11f96261283c61 SHA1 db2729429d79a95ae8e1b8ef3e27c1aa4ba59674 SHA256 adc4a2f648a030a53f0960b578b748eda6cccdd4bdee9d319ba8734fd99da8f6
diff --git a/www-servers/jetty-bin/files/conf.d/jetty b/www-servers/jetty-bin/files/conf.d/jetty-6
index 730ac76..730ac76 100644
--- a/www-servers/jetty-bin/files/conf.d/jetty
+++ b/www-servers/jetty-bin/files/conf.d/jetty-6
diff --git a/www-servers/jetty-bin/files/conf.d/jetty-7 b/www-servers/jetty-bin/files/conf.d/jetty-7
new file mode 100644
index 0000000..43c75e0
--- /dev/null
+++ b/www-servers/jetty-bin/files/conf.d/jetty-7
@@ -0,0 +1,24 @@
+#Configuration options for jetty server
+
+#JETTY_HOST=localhost
+#JETTY_PORT=8080
+
+# port to listen on to stop the server
+#STOP_PORT=8079
+
+# "password" used on the stop port to verify that the server should be stopped
+STOP_KEY=secret
+
+# Set this value to 1 and configure the jetty-setuid.xml to have the server run as an unprivilaged user
+#USE_SETUID=1
+
+# Set this value to 1 to use ipv6
+#USE_IPV6=1
+
+# Use the SSL config jetty-ssl.xml
+#USE_SSL=1
+
+# Set this to a space delimited list of extra conf files you want loaded
+# The files are relative to ${JETTY_HOME} so
+# ex. JETTY_CONF="etc/jetty-ajp.xml etc/jetty-logging.xml"
+#JETTY_CONF=""
diff --git a/www-servers/jetty-bin/files/init.d/jetty b/www-servers/jetty-bin/files/init.d/jetty-6
index 1e54649..1e54649 100644
--- a/www-servers/jetty-bin/files/init.d/jetty
+++ b/www-servers/jetty-bin/files/init.d/jetty-6
diff --git a/www-servers/jetty-bin/files/init.d/jetty-7 b/www-servers/jetty-bin/files/init.d/jetty-7
new file mode 100644
index 0000000..1e54649
--- /dev/null
+++ b/www-servers/jetty-bin/files/init.d/jetty-7
@@ -0,0 +1,51 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+
+ JETTY_HOME="/var/lib/${SVCNAME}"
+ CONF_FILES="${JETTY_HOME}/etc/jetty.xml"
+ JETTY_OPTS="-DSTART=${JETTY_HOME}/start.config"
+
+ if [[ -n ${JETTY_HOST} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djetty.host=${JETTY_HOST}"
+ fi
+ if [[ -n ${JETTY_PORT} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djetty.port=${JETTY_PORT}"
+ fi
+ if [[ -n ${STOP_PORT} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -DSTOP.PORT=${STOP_PORT}"
+ fi
+ if [[ -n ${STOP_KEY} ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -DSTOP.KEY=${STOP_KEY}"
+ fi
+ if [[ ${USE_SETUID} -eq 1 ]]; then
+ # Setuid configuration file needs to be the first one in the list
+ CONF_FILES="${JETTY_HOME}/etc/jetty-setuid.xml ${CONF_FILES}"
+ JETTY_OPTS="${JETTY_OPTS} -Djava.library.path=/usr/lib64/${SVCNAME}/"
+ fi
+ if [[ ${USE_IPV6} -ne 1 ]]; then
+ JETTY_OPTS="${JETTY_OPTS} -Djava.net.preferIPv4Stack=true"
+ fi
+ if [[ ${USE_SSL} -eq 1 ]]; then
+ # Setuid configuration file needs to be the first one in the list
+ CONF_FILES="${CONF_FILES} ${JETTY_HOME}/etc/jetty-ssl.xml"
+ fi
+
+ cd "${JETTY_HOME}"
+
+ start-stop-daemon --start --background --make-pidfile \
+ --pidfile /var/run/${SVCNAME}.pid \
+ --startas java -- ${JETTY_OPTS} -jar ${JETTY_HOME}/start.jar ${CONF_FILES} ${JETTY_CONF}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --pidfile /var/run/${SVCNAME}.pid
+ eend $?
+}
diff --git a/www-servers/jetty-bin/jetty-bin-6.1.26-r1.ebuild b/www-servers/jetty-bin/jetty-bin-6.1.26-r1.ebuild
deleted file mode 100644
index 7ce8575..0000000
--- a/www-servers/jetty-bin/jetty-bin-6.1.26-r1.ebuild
+++ /dev/null
@@ -1,140 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils java-pkg-2
-
-DESCRIPTION="Jetty Web Server; Java Servlet container"
-
-SLOT="6"
-HOMEPAGE="http://jetty.codehaus.org/"
-KEYWORDS="~amd64 ~x86"
-LICENSE="Apache-2.0"
-
-MY_PN="jetty"
-#MY_JETTY="${PN}-${SLOT}"
-MY_JETTY="${MY_PN}-${SLOT}"
-
-IUSE="anttasks client ldap ssl stats"
-
-SRC_URI="http://dist.codehaus.org/jetty/jetty-${PV}/jetty-${PV}.zip
- anttasks? ( http://dist.codehaus.org/jetty/jetty-${PV}/jetty-ant-${PV}.jar )"
-RESTRICT="mirror"
-
-DEPEND="dev-java/tomcat-servlet-api:2.5
- !www-servers/jetty:${SLOT}
- !www-servers/jetty-eclipse:${SLOT}
- !www-servers/jetty-eclipse-bin:${SLOT}
- >=virtual/jre-1.5"
-
-RDEPEND="${DEPEND}
- anttasks? ( dev-java/ant )
- >=dev-java/slf4j-api-1.3.1
- >=dev-java/sun-javamail-1.4
- >=dev-java/jta-1.0.1
- >=java-virtuals/jaf-1.1"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-src_install() {
- cd "${S}"
- rm -f etc/jetty-sslengine.xml
-
- java-pkg_jarinto "/usr/share/${MY_JETTY}/lib/"
- java-pkg_sointo "/usr/lib/${MY_JETTY}"
-
- java-pkg_dojar start.jar
- java-pkg_newjar lib/${MY_PN}-${PV}.jar ${MY_PN}.jar
- java-pkg_newjar lib/${MY_PN}-util-${PV}.jar ${MY_PN}-util.jar
- java-pkg_newjar lib/jre1.5/${MY_PN}-util5-${PV}.jar ${MY_PN}-util5.jar
- java-pkg_newjar lib/annotations/${MY_PN}-annotations-${PV}.jar ${MY_PN}-annotations.jar
- java-pkg_newjar lib/ext/${MY_PN}-rewrite-handler-${PV}.jar ${MY_PN}-rewrite-handler.jar
- java-pkg_newjar lib/ext/${MY_PN}-html-${PV}.jar ${MY_PN}-html.jar
- java-pkg_newjar lib/ext/${MY_PN}-java5-threadpool-${PV}.jar ${MY_PN}-java5-threadpool.jar
- java-pkg_newjar lib/ext/${MY_PN}-ajp-${PV}.jar ${MY_PN}-ajp.jar
- java-pkg_newjar lib/ext/${MY_PN}-servlet-tester-${PV}.jar ${MY_PN}-servlet-tester.jar
- java-pkg_newjar lib/ext/${MY_PN}-setuid-${PV}.jar ${MY_PN}-setuid.jar
- java-pkg_doso lib/ext/libsetuid.so
- java-pkg_newjar lib/jsp-2.1/jsp-2.1-${MY_PN}-${PV}.jar jsp-2.1-${MY_PN}.jar
- java-pkg_newjar lib/management/${MY_PN}-management-${PV}.jar ${MY_PN}-management.jar
- java-pkg_newjar lib/naming/${MY_PN}-naming-${PV}.jar ${MY_PN}-naming.jar
- java-pkg_newjar lib/plus/${MY_PN}-plus-${PV}.jar ${MY_PN}-plus.jar
- java-pkg_newjar lib/terracotta/${MY_PN}-terracotta-sessions-${PV}.jar ${MY_PN}-terracotta-sessions.jar
- java-pkg_newjar lib/xbean/${MY_PN}-xbean-${PV}.jar ${MY_PN}-xbean.jar
-
- use client && java-pkg_newjar lib/ext/${MY_PN}-client-${PV}.jar ${MY_PN}-client.jar
- if use ldap ; then
- java-pkg_newjar lib/ext/${MY_PN}-ldap-jaas-${PV}.jar ${MY_PN}-ldap-jaas.jar
- else
- rm -f etc/jetty-jaas.xml
- fi
- if use ssl ; then
- java-pkg_newjar lib/ext/${MY_PN}-sslengine-${PV}.jar ${MY_PN}-sslengine.jar
- else
- rm -f etc/jetty-ssl.xml
- fi
- if use stats ; then
- java-pkg_newjar lib/ext/${MY_PN}-java5-stats-${PV}.jar ${MY_PN}-java5-stats.jar
- else
- rm -f etc/jetty-stats.xml
- fi
-
- if use anttasks ; then
- java-pkg_dojar bin/jetty-tasks.xml
- cd ${DISTDIR}
- java-pkg_newjar ${MY_PN}-ant-${PV}.jar ${MY_PN}-ant.jar
- cd ${S}
- fi
-
-
- dodir /etc/${MY_JETTY}
- insinto /etc/${MY_JETTY}
- doins etc/*
-
- dodir /etc/conf.d
- insinto /etc/conf.d
- newins ${FILESDIR}/conf.d/${MY_PN} ${MY_JETTY}
-
- dodir /etc/init.d
- exeinto /etc/init.d
- newexe ${FILESDIR}/init.d/${MY_PN} ${MY_JETTY}
-
- dodir /var/log/${MY_JETTY}
-
- JETTY_HOME=/var/lib/${MY_JETTY}
- dodir ${JETTY_HOME}/webapps
- dodir ${JETTY_HOME}/contexts
- dodir ${JETTY_HOME}/resources
- dosym ${JAVA_PKG_JARDEST} ${JETTY_HOME}/lib
- dosym ${JAVA_PKG_JARDEST}/start.jar ${JETTY_HOME}/
- dosym /etc/${MY_JETTY} ${JETTY_HOME}/etc
- dosym /var/log/${MY_JETTY} ${JETTY_HOME}/logs
-
- START_CONFIG=${D}/${JETTY_HOME}/start.config
- echo "\$(jetty.class.path).path always" > ${START_CONFIG}
- echo "\$(jetty.lib)/** exists \$(jetty.lib)" >> ${START_CONFIG}
- echo "jetty.home=${JETTY_HOME}" >> ${START_CONFIG}
- echo "org.mortbay.xml.XmlConfiguration.class" >> ${START_CONFIG}
- echo "\$(start.class).class" >> ${START_CONFIG}
- echo "\$(jetty.home)/etc/jetty.xml" >> ${START_CONFIG}
- echo "\$(jetty.home)/lib/*" >> ${START_CONFIG}
- echo "/usr/share/sun-javamail/lib/*" >> ${START_CONFIG}
- echo "/usr/share/ant/lib/*" >> ${START_CONFIG}
- echo "/usr/share/slf4j-api/lib/*" >> ${START_CONFIG}
- echo "/usr/share/jta/lib/*" >> ${START_CONFIG}
- echo "/usr/share/tomcat-servlet-api-2.5/lib/*" >> ${START_CONFIG}
- #echo "" >> ${START_CONFIG}
- #echo "" >> ${START_CONFIG}
- echo "" >> ${START_CONFIG}
- echo "\$(jetty.home)/resources/" >> ${START_CONFIG}
-}
-
-pkg_preinst () {
- enewuser jetty
- fowners jetty:jetty /var/log/${MY_JETTY}
- fperms g+w /var/log/${MY_JETTY}
- mv ${D}/usr/share/${PN}-${SLOT}/package.env ${D}/usr/share/${MY_JETTY}/package.env
-}
-
diff --git a/www-servers/jetty-bin/jetty-bin-6.1.26-r2.ebuild b/www-servers/jetty-bin/jetty-bin-6.1.26-r3.ebuild
index 6b85ba3..e91c741 100644
--- a/www-servers/jetty-bin/jetty-bin-6.1.26-r2.ebuild
+++ b/www-servers/jetty-bin/jetty-bin-6.1.26-r3.ebuild
@@ -97,11 +97,11 @@ src_install() {
dodir /etc/conf.d
insinto /etc/conf.d
- newins ${FILESDIR}/conf.d/${MY_PN} ${MY_JETTY}
+ newins ${FILESDIR}/conf.d/${MY_JETTY} ${MY_JETTY}
dodir /etc/init.d
exeinto /etc/init.d
- newexe ${FILESDIR}/init.d/${MY_PN} ${MY_JETTY}
+ newexe ${FILESDIR}/init.d/${MY_JETTY} ${MY_JETTY}
dodir /var/log/${MY_JETTY}
@@ -110,7 +110,7 @@ src_install() {
dodir ${JETTY_HOME}/contexts
dodir ${JETTY_HOME}/resources
dosym ${JAVA_PKG_JARDEST} ${JETTY_HOME}/lib
- dosym ${JAVA_PKG_JARDEST}/start.jar ${JETTY_HOME}/
+ dosym ${JAVA_PKG_JARDEST}/start.jar ${JETTY_HOME}/start.jar
dosym /etc/${MY_JETTY} ${JETTY_HOME}/etc
dosym /var/log/${MY_JETTY} ${JETTY_HOME}/logs
@@ -131,8 +131,6 @@ src_install() {
else
echo "/usr/share/tomcat-servlet-api-2.5/lib/*" >> ${START_CONFIG}
fi
- #echo "" >> ${START_CONFIG}
- #echo "" >> ${START_CONFIG}
echo "" >> ${START_CONFIG}
echo "\$(jetty.home)/resources/" >> ${START_CONFIG}
}
@@ -142,5 +140,6 @@ pkg_preinst () {
fowners jetty:jetty /var/log/${MY_JETTY}
fperms g+w /var/log/${MY_JETTY}
mv ${D}/usr/share/${PN}-${SLOT}/package.env ${D}/usr/share/${MY_JETTY}/package.env
+ rm -rf ${D}/usr/share/${PN}-${SLOT}
}
diff --git a/www-servers/jetty-bin/jetty-bin-6.1.26.ebuild b/www-servers/jetty-bin/jetty-bin-6.1.26.ebuild
deleted file mode 100644
index 33a9ff0..0000000
--- a/www-servers/jetty-bin/jetty-bin-6.1.26.ebuild
+++ /dev/null
@@ -1,139 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils java-pkg-2
-
-DESCRIPTION="Jetty Web Server; Java Servlet container"
-
-SLOT="6"
-HOMEPAGE="http://jetty.codehaus.org/"
-KEYWORDS="~amd64 ~x86"
-LICENSE="Apache-2.0"
-
-MY_PN="jetty"
-MY_JETTY="${PN}-${SLOT}"
-
-IUSE="anttasks client ldap ssl stats"
-
-SRC_URI="http://dist.codehaus.org/jetty/jetty-${PV}/jetty-${PV}.zip
- anttasks? ( http://dist.codehaus.org/jetty/jetty-${PV}/jetty-ant-${PV}.jar )"
-RESTRICT="mirror"
-
-DEPEND="dev-java/tomcat-servlet-api:2.5
- !www-servers/jetty:${SLOT}
- !www-servers/jetty-eclipse:${SLOT}
- !www-servers/jetty-eclipse-bin:${SLOT}
- >=virtual/jre-1.5"
-
-RDEPEND="${DEPEND}
- anttasks? ( dev-java/ant )
- >=dev-java/slf4j-api-1.3.1
- >=dev-java/sun-javamail-1.4
- >=dev-java/jta-1.0.1
- >=java-virtuals/jaf-1.1"
-
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-src_install() {
- cd "${S}"
- rm -f etc/jetty-sslengine.xml
-
- #java-pkg_jarinto "/usr/share/${MY_JETTY}/lib/"
- #java-pkg_sointo "/usr/lib/${MY_JETTY}"
-
- java-pkg_dojar start.jar
- java-pkg_newjar lib/${MY_PN}-${PV}.jar ${MY_PN}.jar
- java-pkg_newjar lib/${MY_PN}-util-${PV}.jar ${MY_PN}-util.jar
- java-pkg_newjar lib/jre1.5/${MY_PN}-util5-${PV}.jar ${MY_PN}-util5.jar
- java-pkg_newjar lib/annotations/${MY_PN}-annotations-${PV}.jar ${MY_PN}-annotations.jar
- java-pkg_newjar lib/ext/${MY_PN}-rewrite-handler-${PV}.jar ${MY_PN}-rewrite-handler.jar
- java-pkg_newjar lib/ext/${MY_PN}-html-${PV}.jar ${MY_PN}-html.jar
- java-pkg_newjar lib/ext/${MY_PN}-java5-threadpool-${PV}.jar ${MY_PN}-java5-threadpool.jar
- java-pkg_newjar lib/ext/${MY_PN}-ajp-${PV}.jar ${MY_PN}-ajp.jar
- java-pkg_newjar lib/ext/${MY_PN}-servlet-tester-${PV}.jar ${MY_PN}-servlet-tester.jar
- java-pkg_newjar lib/ext/${MY_PN}-setuid-${PV}.jar ${MY_PN}-setuid.jar
- java-pkg_doso lib/ext/libsetuid.so
- java-pkg_newjar lib/jsp-2.1/jsp-2.1-${MY_PN}-${PV}.jar jsp-2.1-${MY_PN}.jar
- java-pkg_newjar lib/management/${MY_PN}-management-${PV}.jar ${MY_PN}-management.jar
- java-pkg_newjar lib/naming/${MY_PN}-naming-${PV}.jar ${MY_PN}-naming.jar
- java-pkg_newjar lib/plus/${MY_PN}-plus-${PV}.jar ${MY_PN}-plus.jar
- java-pkg_newjar lib/terracotta/${MY_PN}-terracotta-sessions-${PV}.jar ${MY_PN}-terracotta-sessions.jar
- java-pkg_newjar lib/xbean/${MY_PN}-xbean-${PV}.jar ${MY_PN}-xbean.jar
-
- use client && java-pkg_newjar lib/ext/${MY_PN}-client-${PV}.jar ${MY_PN}-client.jar
- if use ldap ; then
- java-pkg_newjar lib/ext/${MY_PN}-ldap-jaas-${PV}.jar ${MY_PN}-ldap-jaas.jar
- else
- rm -f etc/jetty-jaas.xml
- fi
- if use ssl ; then
- java-pkg_newjar lib/ext/${MY_PN}-sslengine-${PV}.jar ${MY_PN}-sslengine.jar
- else
- rm -f etc/jetty-ssl.xml
- fi
- if use stats ; then
- java-pkg_newjar lib/ext/${MY_PN}-java5-stats-${PV}.jar ${MY_PN}-java5-stats.jar
- else
- rm -f etc/jetty-stats.xml
- fi
-
- if use anttasks ; then
- java-pkg_dojar bin/jetty-tasks.xml
- cd ${DISTDIR}
- java-pkg_newjar ${MY_PN}-ant-${PV}.jar ${MY_PN}-ant.jar
- cd ${S}
- fi
-
-
- dodir /etc/${MY_JETTY}
- insinto /etc/${MY_JETTY}
- doins etc/*
-
- dodir /etc/conf.d
- insinto /etc/conf.d
- newins ${FILESDIR}/conf.d/${MY_PN} ${MY_JETTY}
-
- dodir /etc/init.d
- exeinto /etc/init.d
- newexe ${FILESDIR}/init.d/${MY_PN} ${MY_JETTY}
-
- dodir /var/log/${MY_JETTY}
-
- JETTY_HOME=/var/lib/${MY_JETTY}
- dodir ${JETTY_HOME}/webapps
- dodir ${JETTY_HOME}/contexts
- dodir ${JETTY_HOME}/resources
- dosym ${JAVA_PKG_JARDEST} ${JETTY_HOME}/lib
- dosym ${JAVA_PKG_JARDEST}/start.jar ${JETTY_HOME}/
- dosym /etc/${MY_JETTY} ${JETTY_HOME}/etc
- dosym /var/log/${MY_JETTY} ${JETTY_HOME}/logs
-
- START_CONFIG=${D}/${JETTY_HOME}/start.config
- echo "\$(jetty.class.path).path always" > ${START_CONFIG}
- echo "\$(jetty.lib)/** exists \$(jetty.lib)" >> ${START_CONFIG}
- echo "jetty.home=${JETTY_HOME}" >> ${START_CONFIG}
- echo "org.mortbay.xml.XmlConfiguration.class" >> ${START_CONFIG}
- echo "\$(start.class).class" >> ${START_CONFIG}
- echo "\$(jetty.home)/etc/jetty.xml" >> ${START_CONFIG}
- echo "\$(jetty.home)/lib/*" >> ${START_CONFIG}
- echo "/usr/share/sun-javamail/lib/*" >> ${START_CONFIG}
- echo "/usr/share/ant/lib/*" >> ${START_CONFIG}
- echo "/usr/share/slf4j-api/lib/*" >> ${START_CONFIG}
- echo "/usr/share/jta/lib/*" >> ${START_CONFIG}
- echo "/usr/share/tomcat-servlet-api-2.5/lib/*" >> ${START_CONFIG}
- #echo "" >> ${START_CONFIG}
- #echo "" >> ${START_CONFIG}
- echo "" >> ${START_CONFIG}
- echo "\$(jetty.home)/resources/" >> ${START_CONFIG}
-}
-
-pkg_preinst () {
- enewuser jetty
- fowners jetty:jetty /var/log/${MY_JETTY}
- fperms g+w /var/log/${MY_JETTY}
- #mv ${D}/usr/share/${PN}-${SLOT}/package.env ${D}/usr/share/${MY_JETTY}/package.env
-}
-
diff --git a/www-servers/jetty-bin/jetty-bin-7.5.4.ebuild b/www-servers/jetty-bin/jetty-bin-7.5.4.ebuild
new file mode 100644
index 0000000..d86a08a
--- /dev/null
+++ b/www-servers/jetty-bin/jetty-bin-7.5.4.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils java-pkg-2
+
+DESCRIPTION="Jetty Web Server; Java Servlet container"
+
+SLOT="7"
+HOMEPAGE="http://jetty.codehaus.org/"
+KEYWORDS="~amd64 ~x86"
+LICENSE="Apache-2.0 Eclipse-1.0"
+
+MY_PV="${PV}.v20111024"
+MY_PN="jetty"
+MY_JETTY="${MY_PN}-${SLOT}"
+
+IUSE="client ssl stats tomcat7"
+
+SRC_URI="http://download.eclipse.org/${MY_PN}/stable-${SLOT}/dist/${MY_PN}-distribution-${MY_PV}.tar.gz"
+
+#http://dist.codehaus.org/jetty/jetty-${PV}/jetty-${PV}.zip
+# anttasks? ( http://dist.codehaus.org/jetty/jetty-${PV}/jetty-ant-${PV}.jar )"
+RESTRICT="mirror"
+
+DEPEND="
+ tomcat7? ( dev-java/tomcat-servlet-api:3.0 )
+ !tomcat7? ( dev-java/tomcat-servlet-api:2.5 )
+ !www-servers/jetty:${SLOT}
+ !www-servers/jetty-eclipse:${SLOT}
+ !www-servers/jetty-eclipse-bin:${SLOT}
+ >=virtual/jre-1.5"
+
+RDEPEND="${DEPEND}
+ >=dev-java/slf4j-api-1.3.1
+ >=dev-java/sun-javamail-1.4
+ >=dev-java/jta-1.0.1
+ >=java-virtuals/jaf-1.1"
+
+S="${WORKDIR}/${MY_PN}-distribution-${MY_PV}"
+
+src_install() {
+ cd "${S}"
+
+ java-pkg_jarinto "/usr/share/${MY_JETTY}/lib/"
+ java-pkg_sointo "/usr/lib/${MY_JETTY}"
+
+ java-pkg_dojar start.jar
+
+ java-pkg_newjar lib/${MY_PN}-ajp-${MY_PV}.jar ${MY_PN}-ajp.jar
+ java-pkg_newjar lib/${MY_PN}-all-${MY_PV}-javadoc.jar ${MY_PN}-all-javadoc.jar
+ java-pkg_newjar lib/${MY_PN}-annotations-${MY_PV}.jar ${MY_PN}-annotations.jar
+ java-pkg_newjar lib/${MY_PN}-continuation-${MY_PV}.jar ${MY_PN}-continuation.jar
+ java-pkg_newjar lib/${MY_PN}-deploy-${MY_PV}.jar ${MY_PN}-deploy.jar
+ java-pkg_newjar lib/${MY_PN}-http-${MY_PV}.jar ${MY_PN}-http.jar
+ java-pkg_newjar lib/${MY_PN}-io-${MY_PV}.jar ${MY_PN}-io.jar
+ java-pkg_newjar lib/${MY_PN}-jmx-${MY_PV}.jar ${MY_PN}-jmx.jar
+ java-pkg_newjar lib/${MY_PN}-jndi-${MY_PV}.jar ${MY_PN}-jndi.jar
+ java-pkg_newjar lib/${MY_PN}-overlay-deployer-${MY_PV}.jar ${MY_PN}-overlay-deployer.jar
+ java-pkg_newjar lib/${MY_PN}-plus-${MY_PV}.jar ${MY_PN}-plus.jar
+ java-pkg_newjar lib/${MY_PN}-policy-${MY_PV}.jar ${MY_PN}-policy.jar
+ java-pkg_newjar lib/${MY_PN}-rewrite-${MY_PV}.jar ${MY_PN}-rewrite.jar
+ java-pkg_newjar lib/${MY_PN}-security-${MY_PV}.jar ${MY_PN}-security.jar
+ java-pkg_newjar lib/${MY_PN}-server-${MY_PV}.jar ${MY_PN}-server.jar
+ java-pkg_newjar lib/${MY_PN}-servlet-${MY_PV}.jar ${MY_PN}-servlet.jar
+ java-pkg_newjar lib/${MY_PN}-servlets-${MY_PV}.jar ${MY_PN}-servlets.jar
+ java-pkg_newjar lib/${MY_PN}-util-${MY_PV}.jar ${MY_PN}-util.jar
+ java-pkg_newjar lib/${MY_PN}-webapp-${MY_PV}.jar ${MY_PN}-webapp.jar
+ java-pkg_newjar lib/${MY_PN}-websocket-${MY_PV}.jar ${MY_PN}-websocket.jar
+ java-pkg_newjar lib/${MY_PN}-xml-${MY_PV}.jar ${MY_PN}-xml.jar
+ java-pkg_newjar lib/annotations/javax.annotation_1.0.0.v20100513-0750.jar javax.annotation.jar
+ java-pkg_newjar lib/annotations/org.objectweb.asm_3.1.0.v200803061910.jar org.objectweb.asm.jar
+ java-pkg_newjar lib/jndi/javax.activation_1.1.0.v201005080500.jar javax.activation.jar
+ java-pkg_newjar lib/jndi/javax.mail.glassfish_1.4.1.v201005082020.jar javax.mail.glassfish.jar
+ java-pkg_newjar lib/jsp/${MY_PN}-jsp-2.1-${MY_PV}.jar ${MY_PN}-jsp.jar
+ java-pkg_newjar lib/jsp/com.sun.el_1.0.0.v201004190952.jar com.sun.el.jar
+ java-pkg_newjar lib/jsp/ecj-3.6.jar ecj.jar
+ java-pkg_newjar lib/jsp/javax.el_2.1.0.v201004190952.jar javax.el.jar
+ java-pkg_newjar lib/jsp/javax.servlet.jsp.jstl_1.2.0.v201004190952.jar javax.servlet.jsp.jstl.jar
+ java-pkg_newjar lib/jsp/javax.servlet.jsp_2.1.0.v201004190952.jar javax.servlet.jsp.jar
+ java-pkg_newjar lib/jsp/jsp-impl-2.1.3-b10.jar jsp-impl.jar
+ java-pkg_newjar lib/jsp/org.apache.taglibs.standard.glassfish_1.2.0.v201004190952.jar org.apache.taglibs.standard.glassfish.jar
+ java-pkg_newjar lib/jta/javax.transaction_1.1.1.v201004190952.jar javax.transaction.jar
+ java-pkg_newjar lib/monitor/${MY_PN}-monitor-${MY_PV}.jar ${MY_PN}-monitor.jar
+ java-pkg_newjar lib/servlet-api-2.5.jar servlet-api.jar
+
+ use client && java-pkg_newjar lib/${MY_PN}-client-${MY_PV}.jar ${MY_PN}-client.jar
+ if ! use ssl ; then
+ rm -f etc/jetty-ssl.xml
+ fi
+ if ! use stats ; then
+ rm -f etc/jetty-stats.xml
+ fi
+
+ dodir /etc/${MY_JETTY}
+ insinto /etc/${MY_JETTY}
+ doins etc/*
+
+ dodir /etc/conf.d
+ insinto /etc/conf.d
+ newins ${FILESDIR}/conf.d/${MY_JETTY} ${MY_JETTY}
+
+ dodir /etc/init.d
+ exeinto /etc/init.d
+ newexe ${FILESDIR}/init.d/${MY_JETTY} ${MY_JETTY}
+
+ dodir /var/log/${MY_JETTY}
+
+ JETTY_HOME=/var/lib/${MY_JETTY}
+ dodir ${JETTY_HOME}/webapps
+ dodir ${JETTY_HOME}/contexts
+ dodir ${JETTY_HOME}/resources
+ dosym ${JAVA_PKG_JARDEST} ${JETTY_HOME}/lib
+ dosym ${JAVA_PKG_JARDEST}/start.jar ${JETTY_HOME}/start.jar
+ dosym /etc/${MY_JETTY} ${JETTY_HOME}/etc
+ dosym /var/log/${MY_JETTY} ${JETTY_HOME}/logs
+
+ START_CONFIG=${D}/${JETTY_HOME}/start.config
+ echo "\$(jetty.class.path).path always" > ${START_CONFIG}
+ echo "\$(jetty.lib)/** exists \$(jetty.lib)" >> ${START_CONFIG}
+ echo "jetty.home=${JETTY_HOME}" >> ${START_CONFIG}
+ echo "org.mortbay.xml.XmlConfiguration.class" >> ${START_CONFIG}
+ echo "\$(start.class).class" >> ${START_CONFIG}
+ echo "\$(jetty.home)/etc/jetty.xml" >> ${START_CONFIG}
+ echo "\$(jetty.home)/lib/*" >> ${START_CONFIG}
+ echo "/usr/share/sun-javamail/lib/*" >> ${START_CONFIG}
+ echo "/usr/share/ant/lib/*" >> ${START_CONFIG}
+ echo "/usr/share/slf4j-api/lib/*" >> ${START_CONFIG}
+ echo "/usr/share/jta/lib/*" >> ${START_CONFIG}
+ if use tomcat7 ; then
+ echo "/usr/share/tomcat-servlet-api-3.0/lib/*" >> ${START_CONFIG}
+ else
+ echo "/usr/share/tomcat-servlet-api-2.5/lib/*" >> ${START_CONFIG}
+ fi
+ echo "" >> ${START_CONFIG}
+ echo "\$(jetty.home)/resources/" >> ${START_CONFIG}
+}
+
+pkg_preinst () {
+ enewuser jetty
+ fowners jetty:jetty /var/log/${MY_JETTY}
+ fperms g+w /var/log/${MY_JETTY}
+ mv ${D}/usr/share/${PN}-${SLOT}/package.env ${D}/usr/share/${MY_JETTY}/package.env
+ rm -rf ${D}/usr/share/${PN}-${SLOT}
+}
+